# Poco

# class Latin1Encoding

Library: Foundation
Package: Text
Header: Poco/Latin1Encoding.h

## Description

ISO Latin-1 (8859-1) text encoding.

## Inheritance

Direct Base Classes: TextEncoding

All Base Classes: TextEncoding

## Member Summary

Member Functions: canonicalName, characterMap, convert, isA, queryConvert, sequenceLength

Inherited Functions: add, byName, canonicalName, characterMap, convert, find, global, isA, manager, queryConvert, remove, sequenceLength

## Constructors

### Latin1Encoding

Latin1Encoding();

## Destructor

### ~Latin1Encoding

~Latin1Encoding();

## Member Functions

### canonicalName

const char * canonicalName() const;

See also: Poco::TextEncoding::canonicalName()

### characterMap

const CharacterMap & characterMap() const;

See also: Poco::TextEncoding::characterMap()

### convert

int convert(
const unsigned char * bytes
) const;

See also: Poco::TextEncoding::convert()

### convert

int convert(
int ch,
unsigned char * bytes,
int length
) const;

See also: Poco::TextEncoding::convert()

### isA

bool isA(
const std::string & encodingName
) const;

See also: Poco::TextEncoding::isA()

### queryConvert

int queryConvert(
const unsigned char * bytes,
int length
) const;

See also: Poco::TextEncoding::queryConvert()

### sequenceLength

int sequenceLength(
const unsigned char * bytes,
int length
) const;

See also: Poco::TextEncoding::sequenceLength()